### Class

# Ide Diagnostics

#### Description

    class Ide.Diagnostics : Ide.Object {
      parent_instance: IdeObject
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Implements

- GListModel

#### Constructors

###### ide_diagnostics_new

No description available.

###### ide_diagnostics_new_from_array

No description available.

Available since: 3.32

#### Instance methods

###### ide_diagnostics_add

No description available.

###### ide_diagnostics_foreach_line_in_range

This function calls `callback` for every line with diagnostics between `begin_line` and `end_line`. This is useful when drawing information about diagnostics in an editor where a known number of lines are visible.

Available since: 3.32

###### ide_diagnostics_get_diagnostic_at_line

Locates an `IdeDiagnostic` in `file` at `line`.

Available since: 3.32

###### ide_diagnostics_get_diagnostics_at_line

Locates all `IdeDiagnostic` in `file` at `line`.

Available since: 3.38

###### ide_diagnostics_get_has_errors

No description available.

###### ide_diagnostics_get_has_warnings

No description available.

###### ide_diagnostics_get_n_errors

No description available.

###### ide_diagnostics_get_n_warnings

No description available.

###### ide_diagnostics_merge

No description available.

###### ide_diagnostics_take

No description available.

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

Available since: 2.44

###### g_list_model_get_item_type

Gets the type of the items in `list`.

Available since: 2.44

###### g_list_model_get_n_items

Gets the number of items in `list`.

Available since: 2.44

###### g_list_model_get_object

Get the item at `position`.

Available since: 2.44

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

Available since: 2.44

#### Properties

###### Ide.Diagnostics:has-errors

No description available.

###### Ide.Diagnostics:has-warnings

No description available.

###### Ide.Diagnostics:n-errors

No description available.

###### Ide.Diagnostics:n-warnings

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### Gio.ListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

Available since: 2.44

#### Class structure

    struct IdeDiagnosticsClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.